Add list items

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://api-reference.lassomoderation.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "Lasso Moderation API MCP server": {
    "url": "https://api-reference.lassomoderation.com/mcp"
  }
}

Close
POST /lists/{listId}

Add new items to a list. The response returns the items that were newly added (items that were already in the list are not returned).

Default rate limit: 60 requests per minute.

Path parameters

  • listId string Required

    The id of the list

application/json

Body

  • items array[string] Required

Responses

  • 200 application/json

    OK

    Hide response attributes Show response attributes object
    • success boolean
    • addedItems array[string]
  • 400 application/json

    The request is invalid, see the error field for details

    Hide response attributes Show response attributes object
    • success boolean Required
    • error string | object Required

      A message describing the error. For validation errors this is an object with an error message per field.

  • 401 application/json

    The API token is missing or invalid

    Hide response attributes Show response attributes object
    • success boolean Required
    • error string | object Required

      A message describing the error. For validation errors this is an object with an error message per field.

  • 404 application/json

    Returned when the list is not found

    Hide response attributes Show response attributes object
    • success boolean Required
    • error string | object Required

      A message describing the error. For validation errors this is an object with an error message per field.

  • 429 application/json

    The rate limit has been exceeded, check the X-RateLimit headers for limits

    Hide headers attributes Show headers attributes
    • X-RateLimit-Limit

      The rate limit interval in milliseconds

    • X-RateLimit-Remaining

      The number of requests remaining in the current interval

    • X-RateLimit-Reset

      The number of milliseconds until requests are allowed again

    Hide response attribute Show response attribute object
    • error string Required
POST /lists/{listId}
curl \
 --request POST 'https://api.lassomoderation.com/api/v1/lists/{listId}' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --data '"{\n  \"items\": [\n    \"Bad word\",\n    \"other bad word\"\n  ]\n}"'
Request example
{
  "items": [
    "Bad word",
    "other bad word"
  ]
}
Response examples (200)
{
  "success": true,
  "addedItems": [
    "bad word",
    "another bad word"
  ]
}
Response examples (400)
{
  "success": false,
  "error": {
    "content_id": "Value can be at most 100 characters"
  }
}
Response examples (401)
{
  "success": false,
  "error": "Invalid API key"
}
Response examples (404)
{
  "success": false,
  "error": "List not found"
}
Response examples (429)
{
  "error": "Too many requests, check headers for limits"
}